Name:           perl-MARC-XML
Version:        1.0.2
Release:        5%{?dist}
Summary:        An extension to MARC::Record that supports an XML serialization of MARC

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/MARC-XML/
Source0:        http://search.cpan.org/CPAN/authors/id/G/GM/GMCHARLT/MARC-XML-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(MARC::Batch)
BuildRequires:  perl(MARC::Charset)
BuildRequires:  perl(MARC::Field)
BuildRequires:  perl(MARC::File)
BuildRequires:  perl(MARC::Record)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XML::LibXML)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
MARC-XML is an extension to the MARC-Record distribution for working with XML
data encoded using the MARC21slim XML schema from the Library of Congress. For
more details see: http://www.loc.gov/standards/marcxml/

%prep
%setup -q -n MARC-XML-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/MARC/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*
%{_bindir}/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.2-4
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.2-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 21 2014 Dan Scott <dan@coffeecode.net> - 1.0.2-1
- Bump to 1.0.2
- Security release: prevent XML external entity exploit

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 1.0.1-2
- Perl 5.18 rebuild

* Wed Jul 24 2013 Dan Scott <dan@coffeecode.net> - 1.0.1-1
- Version bump to 1.0.1
- Performance and memory optimization by DOM processing instead of SAX

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.93-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jun 13 2012 Dan Scott <dan@coffeecode.net> - 0.93-1
- Initial build. 
- Incorporate package review changes suggested by Iain Arnell.
